clang 8.0.0

Public Member Functions | List of all members
clang::DeclContextLookupResult::iterator Class Reference

`#include "clang/AST/DeclBase.h"`

Inheritance diagram for clang::DeclContextLookupResult::iterator:
[legend]
Collaboration diagram for clang::DeclContextLookupResult::iterator:
[legend]

## Public Member Functions
| iterator (pointer Pos, value_type Single=nullptr)
reference | operator* () const

## Detailed Description

Definition at line 1212 of file DeclBase.h.

## Constructor & Destructor Documentation

## ◆ iterator()

clang::DeclContextLookupResult::iterator::iterator | ( | pointer | Pos,
|  | value_type | Single = `nullptr`
| ) |  |
| inline explicit

Definition at line 1216 of file DeclBase.h.

## Member Function Documentation

## ◆ operator*()

reference clang::DeclContextLookupResult::iterator::operator* | ( |  | ) | const
| inline

Definition at line 1219 of file DeclBase.h.

References operator*().

The documentation for this class was generated from the following file:

- include/clang/AST/DeclBase.h